<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: UIImage+Transform.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_77ebe3071d97df245b5e45385777f804.html">DKCameraPicker</a></li><li class="navelem"><a class="el" href="dir_43f5ca2fe4733652d7a8272cdd759b0e.html">SDWebImage.framework</a></li><li class="navelem"><a class="el" href="dir_6fcdee285dd3b624c094a59c9350aa1b.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">UIImage+Transform.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * This file is part of the SDWebImage package.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * (c) Olivier Poitrey &lt;rs@dailymotion.com&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * For the full copyright and license information, please view the LICENSE</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * file that was distributed with this source code.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;SDWebImageCompat.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">typedef</span> NS_ENUM(NSUInteger, SDImageScaleMode) {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    SDImageScaleModeFill = 0,</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    SDImageScaleModeAspectFit = 1,</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    SDImageScaleModeAspectFill = 2</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;};</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#if SD_UIKIT || SD_WATCH</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">typedef</span> UIRectCorner SDRectCorner;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">typedef</span> NS_OPTIONS(NSUInteger, SDRectCorner) {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    SDRectCornerTopLeft     = 1 &lt;&lt; 0,</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    SDRectCornerTopRight    = 1 &lt;&lt; 1,</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    SDRectCornerBottomLeft  = 1 &lt;&lt; 2,</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    SDRectCornerBottomRight = 1 &lt;&lt; 3,</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    SDRectCornerAllCorners  = ~0UL</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;};</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="category_u_i_image_07_transform_08.html">   33</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_u_i_image_07_transform_08.html">UIImage (Transform)</a></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#pragma mark - Image Geometry</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;- (nullable UIImage *)sd_resizedImageWithSize:(CGSize)size scaleMode:(SDImageScaleMode)scaleMode;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;- (nullable UIImage *)sd_croppedImageWithRect:(CGRect)rect;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;- (nullable UIImage *)sd_roundedCornerImageWithRadius:(CGFloat)cornerRadius</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;                                              corners:(SDRectCorner)corners</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;                                          borderWidth:(CGFloat)borderWidth</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;                                          borderColor:(nullable UIColor *)borderColor;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;- (nullable UIImage *)sd_rotatedImageWithAngle:(CGFloat)angle fitSize:(BOOL)fitSize;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160; </div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;- (nullable UIImage *)sd_flippedImageWithHorizontal:(BOOL)horizontal vertical:(BOOL)vertical;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160; </div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#pragma mark - Image Blending</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;- (nullable UIImage *)sd_tintedImageWithColor:(nonnull UIColor *)tintColor;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;- (nullable UIColor *)sd_colorAtPoint:(CGPoint)point;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160; </div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;- (nullable NSArray&lt;UIColor *&gt; *)sd_colorsWithRect:(CGRect)rect;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160; </div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="preprocessor">#pragma mark - Image Effect</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;- (nullable UIImage *)sd_blurredImageWithRadius:(CGFloat)blurRadius;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160; </div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="preprocessor">#if SD_UIKIT || SD_MAC</span></div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160; </div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;- (nullable UIImage *)sd_filteredImageWithFilter:(nonnull CIFilter *)filter;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160; </div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="acategory_u_i_image_07_transform_08_html"><div class="ttname"><a href="category_u_i_image_07_transform_08.html">UIImage(Transform)</a></div><div class="ttdef"><b>Definition:</b> UIImage+Transform.h:33</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
